Subject: Re: [PATCH 1/2] [RFC] Use --find- instead of --detect- as prefix for

From: Yann Dirson <[email-masked]>
Date: Tue, 30 Nov 2010 08:28:08 +0100

Junio:
> Kevin wrote:
> > Given my druthers, I'd prefer to go with --detect-copies-harder, but
> > at this point I don't have as much of a strong preference anymore.
>
> The patch is smaller, and we often say "rename detection", not "rename
> finding", so it may probably make more sense.

OTOH:

* when cumulated to the still-recent patch adding the long forms, not
  using a synonym is shorter

* if it is just "adding a synonym" without deprecation, it only
  adds a new option for little gain; OTOH deprecating such an old
  option may not be such a good idea (not to mention it would make the
  patch longer ;)

* The --find-* forms are still shorter to spell

-- 
Yann Dirson - Bertin Technologies